- name: Deploy MemPublisher
  block:	
  - name: Install bc package
    apt:
      name: bc
      state: installed
  - name: Upload Publisher Script
    copy:
      src: mempublisher.sh
      dest: /home/ubuntu/mempublisher.sh
  when: task == "DEPLOY"
  become_user: root
  
- name: Configure MemPublisher
  block:
  - name: Make script executable
    file:
      path: /home/ubuntu/mempublisher.sh
      mode: 0777
  when: task == "CONFIGURE"
  become_user: root
  
- name: Start MemPublisher
  block:
  - name: Execute mempublisher script
    command: start-stop-daemon --start --startas /home/ubuntu/mempublisher.sh {{ result_provider_endpoint }} {{ monitorable_property_target }} {{ monitorable_property_property }} {{ sensor }} {{ monitorable_property }} -m --pidfile /run/mempublisher.pid -b
  when: task == "START"
  become_user: root
  
- name: Stop MemPublisher
  block:
  - name: Stop mempublisher script
    command: start-stop-daemon --stop -m --pidfile /run/mempublisher.pid
  when: task == "STOP"
  become_user: root

- name: Undeploy MemPublisher
  block:
  - debug: msg="To be implemented."
  when: task == "UNDEPLOY"
  become_user: root

